Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 4901)
+++ palm/trunk/SOURCE/Makefile	(revision 1)
@@ -391,1049 +146,111 @@
 
 
-advec_s_bc.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-advec_s_pw.o: \
-	mod_kinds.o \
-	modules.o
-advec_s_up.o: \
-	mod_kinds.o \
-	modules.o
-advec_u_pw.o: \
-	mod_kinds.o \
-	modules.o
-advec_u_up.o: \
-	mod_kinds.o \
-	modules.o
-advec_v_pw.o: \
-	mod_kinds.o \
-	modules.o
-advec_v_up.o: \
-	mod_kinds.o \
-	modules.o
-advec_ws.o: \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o
-advec_w_pw.o: \
-	mod_kinds.o \
-	modules.o
-advec_w_up.o: \
-	mod_kinds.o \
-	modules.o
-average_3d_data.o: \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	module_interface.o \
-	modules.o
-basic_constants_and_equations_mod.o: \
-	mod_kinds.o
-biometeorology_mod.o: \
-	basic_constants_and_equations_mod.o \
-	modules.o \
-	mod_kinds.o \
-	netcdf_data_input_mod.o \
-	palm_date_time_mod.o \
-	radiation_model_mod.o \
-	restart_data_mpi_io_mod.o
-bulk_cloud_model_mod.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	advec_ws.o \
-	advec_s_bc.o \
-	advec_s_pw.o \
-	advec_s_up.o \
-	diffusion_s.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-buoyancy.o: \
-	basic_constants_and_equations_mod.o \
-	mod_kinds.o \
-	modules.o
-calc_mean_profile.o: \
-	mod_kinds.o \
-	modules.o
-check_for_restart.o: \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o
-check_open.o: \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	posix_interface_mod.o
-check_parameters.o: \
-	basic_constants_and_equations_mod.o \
-	init_vertical_profiles.o \
-	model_1d_mod.o \
-	module_interface.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	netcdf_interface_mod.o \
-	pmc_interface_mod.o \
-	subsidence_mod.o
-chem_emissions_mod.o: \
-	chem_gasphase_mod.o \
-	chem_modules.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	palm_date_time_mod.o \
-	surface_mod.o
-chemistry_model_mod.o: \
-	advec_ws.o \
-	chem_emissions_mod.o \
-	chem_gasphase_mod.o \
-	chem_modules.o \
-	chem_photolysis_mod.o \
-	diffusion_s.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	palm_date_time_mod.o \
-	radiation_model_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-chem_gasphase_mod.o: \
-	mod_kinds.o \
-	modules.o
-chem_modules.o: \
-	mod_kinds.o \
-	modules.o
-chem_photolysis_mod.o: \
-	basic_constants_and_equations_mod.o \
-	chem_gasphase_mod.o \
-	chem_modules.o \
-	mod_kinds.o \
-	modules.o \
-	palm_date_time_mod.o \
-	radiation_model_mod.o
-close_file.o: \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o
-compute_vpt.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	mod_kinds.o \
-	modules.o
-coriolis.o: \
-	mod_kinds.o \
-	modules.o
-cpulog_mod.o: \
-	mod_kinds.o \
-	modules.o
-cpu_statistics.o: \
-	mod_kinds.o \
-	modules.o
-cuda_fft_interfaces.o: \
-	modules.o \
-	mod_kinds.o
-data_log.o: \
-	mod_kinds.o \
-	modules.o
-data_output_binary_module.o: \
-	mod_kinds.o
-data_output_mask.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	chemistry_model_mod.o \
-	cpulog_mod.o \
-	diagnostic_output_quantities_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	salsa_mod.o
-data_output_module.o: \
-	data_output_binary_module.o \
-	data_output_netcdf4_module.o \
-	mod_kinds.o
-data_output_netcdf4_module.o: \
-	mod_kinds.o
-data_output_particle_mod.o: \
-	data_output_netcdf4_module.o \
-	modules.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	shared_memory_io_mod.o
-data_output_profiles.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o
-data_output_spectra.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	spectra_mod.o
-data_output_tseries.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o
-data_output_flight.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	virtual_flight_mod.o
-data_output_2d.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	land_surface_model_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	module_interface.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	surface_mod.o \
-	urban_surface_mod.o
-data_output_3d.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	land_surface_model_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	module_interface.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	plant_canopy_model_mod.o \
-	radiation_model_mod.o \
-	urban_surface_mod.o
-diagnostic_output_quantities_mod.o: \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	restart_data_mpi_io_mod.o \
-	surface_layer_fluxes_mod.o
-diffusion_s.o: \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-diffusion_u.o: \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-diffusion_v.o: \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-diffusion_w.o: \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-disturb_field.o: \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	random_function_mod.o \
-	random_generator_parallel_mod.o
-disturb_heatflux.o: \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	random_generator_parallel_mod.o \
-	surface_mod.o
-dynamics_mod.o: \
-	basic_constants_and_equations_mod.o \
-	mod_kinds.o \
-	surface_mod.o \
-	pmc_interface_mod.o \
-	modules.o
-exchange_horiz_mod.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-fft_xy_mod.o: \
-	cuda_fft_interfaces.o \
-	mod_kinds.o \
-	modules.o \
-	singleton_mod.o \
-	temperton_fft_mod.o
-flow_statistics.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	chem_modules.o \
-	cpulog_mod.o \
-	land_surface_model_mod.o \
-	large_scale_forcing_nudging_mod.o \
-	mod_kinds.o \
-	module_interface.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	radiation_model_mod.o \
-	surface_mod.o
-global_min_max.o: \
-	mod_kinds.o \
-	modules.o
-gust_mod.o: \
-	mod_kinds.o \
-	modules.o
-header.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	model_1d_mod.o \
-	module_interface.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	ocean_mod.o \
-	palm_date_time_mod.o \
-	plant_canopy_model_mod.o \
-	pmc_handle_communicator_mod.o \
-	pmc_interface_mod.o \
-	subsidence_mod.o \
-	surface_mod.o
-indoor_model_mod.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	palm_date_time_mod.o \
-	surface_mod.o \
-	urban_surface_mod.o
-inflow_turbulence.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-init_3d_model.o: \
-	advec_ws.o \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	chem_modules.o \
-	cpulog_mod.o \
-	disturb_heatflux.o \
-	exchange_horiz_mod.o \
-	large_scale_forcing_nudging_mod.o \
-	model_1d_mod.o \
-	mod_kinds.o \
-	modules.o \
-	multi_agent_system_mod.o \
-	netcdf_data_input_mod.o \
-	netcdf_interface_mod.o \
-	nesting_offl_mod.o \
-	pmc_interface_mod.o \
-	radiation_model_mod.o \
-	random_function_mod.o \
-	random_generator_parallel_mod.o \
-	read_restart_data_mod.o \
-	palm_date_time_mod.o \
-	surface_layer_fluxes_mod.o \
-	surface_mod.o \
-	surface_data_output_mod.o \
-	synthetic_turbulence_generator_mod.o
-init_advec.o: \
-	mod_kinds.o \
-	modules.o
-init_coupling.o: \
-	mod_kinds.o \
-	modules.o
-init_grid.o: \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	netcdf_interface_mod.o
-init_masks.o: \
-	bulk_cloud_model_mod.o \
-	mod_kinds.o \
-	module_interface.o \
-	modules.o \
-	netcdf_interface_mod.o
-init_pegrid.o: \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o \
-	spectra_mod.o \
-	synthetic_turbulence_generator_mod.o
-init_pt_anomaly.o: \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o
-init_rankine.o: \
-	basic_constants_and_equations_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o
-init_slope.o: \
-	basic_constants_and_equations_mod.o \
-	mod_kinds.o \
-	modules.o
-init_vertical_profiles.o: \
-	modules.o \
-	mod_kinds.o
-lagrangian_particle_model_mod.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	data_output_particle_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	pmc_interface_mod.o \
-	pmc_particle_interface.o \
-	netcdf_interface_mod.o \
-	random_function_mod.o \
-	random_generator_parallel_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-land_surface_model_mod.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	calc_mean_profile.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	pmc_handle_communicator_mod.o \
-	pmc_interface_mod.o \
-	radiation_model_mod.o \
-	surface_mod.o
-large_scale_forcing_nudging_mod.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-local_stop.o: \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o
-local_tremain.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-local_tremain_ini.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-message.o: \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o
-model_1d_mod.o: \
-	basic_constants_and_equations_mod.o \
-	mod_kinds.o \
-	modules.o \
-	time_to_string.o
-module_interface.o: \
-	mod_kinds.o \
-	modules.o \
-	biometeorology_mod.o \
-	bulk_cloud_model_mod.o \
-	chemistry_model_mod.o \
-	data_output_module.o \
-	diagnostic_output_quantities_mod.o \
-	dynamics_mod.o \
-	gust_mod.o \
-	indoor_model_mod.o \
-	lagrangian_particle_model_mod.o \
-	land_surface_model_mod.o \
-	large_scale_forcing_nudging_mod.o \
-	mod_particle_attributes.o \
-	multi_agent_system_mod.o \
-	nesting_offl_mod.o \
-	ocean_mod.o \
-	plant_canopy_model_mod.o \
-	poismg_noopt_mod.o \
-	radiation_model_mod.o \
-	salsa_mod.o \
-	spectra_mod.o \
-	surface_data_output_mod.o \
-	surface_mod.o \
-	synthetic_turbulence_generator_mod.o \
-	turbulence_closure_mod.o \
-	urban_surface_mod.o \
-	user_module.o \
-	vdi_internal_controls.o \
-	virtual_flight_mod.o \
-	virtual_measurement_mod.o \
-	wind_turbine_model_mod.o
-modules.o: \
-	mod_kinds.o
-multi_agent_system_mod.o: \
-	basic_constants_and_equations_mod.o \
-	biometeorology_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	random_function_mod.o
-mod_kinds.o: \
-
-mod_particle_attributes.o: \
-	modules.o \
-	mod_kinds.o
-nesting_offl_mod.o: \
-	chem_modules.o \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	salsa_mod.o
-netcdf_data_input_mod.o: \
-	chem_modules.o \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o   \
-	surface_mod.o
-netcdf_interface_mod.o: \
-	basic_constants_and_equations_mod.o \
-	biometeorology_mod.o \
-	chemistry_model_mod.o \
-	diagnostic_output_quantities_mod.o \
-	gust_mod.o \
-	indoor_model_mod.o \
-	land_surface_model_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	ocean_mod.o \
-	palm_date_time_mod.o \
-	radiation_model_mod.o \
-	salsa_mod.o \
-	spectra_mod.o \
-	turbulence_closure_mod.o \
-	urban_surface_mod.o \
-	user_module.o
-ocean_mod.o: \
-	advec_s_pw.o \
-	advec_s_up.o \
-	advec_ws.o \
-	basic_constants_and_equations_mod.o \
-	diffusion_s.o \
-	init_vertical_profiles.o \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-outflow_turbulence.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-palm.o: \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	diagnostic_output_quantities_mod.o \
-	exchange_horiz_mod.o \
-	land_surface_model_mod.o \
-	mod_kinds.o \
-	module_interface.o \
-	modules.o \
-	multi_agent_system_mod.o \
-	netcdf_data_input_mod.o \
-	pmc_interface_mod.o \
-	pmc_particle_interface.o \
-	restart_data_mpi_io_mod.o \
-	surface_layer_fluxes_mod.o \
-	surface_data_output_mod.o \
-	time_to_string.o \
-	write_restart_data_mod.o
-palm_date_time_mod.o: \
-	mod_kinds.o \
-	modules.o
-parin.o: \
-	chem_modules.o \
-	cpulog_mod.o \
-	model_1d_mod.o \
-	mod_kinds.o \
-	module_interface.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	pmc_interface_mod.o \
-	progress_bar_mod.o \
-	read_restart_data_mod.o \
-	turbulence_closure_mod.o
-plant_canopy_model_mod.o: \
-	bulk_cloud_model_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-pmc_particle_interface.o: \
-	mod_particle_attributes.o \
-	modules.o \
-	pmc_child_mod.o \
-	pmc_interface_mod.o \
-	pmc_parent_mod.o
-pmc_interface_mod.o: \
-	bulk_cloud_model_mod.o \
-	chem_modules.o \
-	chemistry_model_mod.o \
-	chem_gasphase_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	pmc_child_mod.o \
-	pmc_general_mod.o \
-	pmc_handle_communicator_mod.o \
-	pmc_mpi_wrapper_mod.o \
-	pmc_parent_mod.o \
-	salsa_mod.o \
-	surface_mod.o
-pmc_child_mod.o: \
-	mod_kinds.o \
-	pmc_general_mod.o \
-	pmc_handle_communicator_mod.o \
-	pmc_mpi_wrapper_mod.o
-pmc_general_mod.o: \
-	mod_kinds.o
-pmc_handle_communicator_mod.o: \
-	mod_kinds.o \
-	modules.o \
-	pmc_general_mod.o
-pmc_mpi_wrapper_mod.o: \
-	pmc_handle_communicator_mod.o
-pmc_parent_mod.o: \
-	pmc_general_mod.o \
-	pmc_handle_communicator_mod.o \
-	pmc_mpi_wrapper_mod.o
-poisfft_mod.o: \
-	cpulog_mod.o \
-	fft_xy_mod.o \
-	mod_kinds.o \
-	modules.o \
-	tridia_solver_mod.o
-poismg_mod.o: \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o
-poismg_noopt_mod.o: \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o
-posix_interface_mod.o: \
-	mod_kinds.o
-pres.o: \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o \
-	poisfft_mod.o \
-	poismg_mod.o \
-	poismg_noopt_mod.o \
-	surface_mod.o
-print_1d.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-prognostic_equations.o: \
-	advec_s_bc.o \
-	advec_s_pw.o \
-	advec_s_up.o \
-	advec_u_pw.o \
-	advec_u_up.o \
-	advec_v_pw.o \
-	advec_v_up.o \
-	advec_w_pw.o \
-	advec_ws.o \
-	advec_w_up.o \
-	buoyancy.o \
-	coriolis.o \
-	cpulog_mod.o \
-	cpulog_mod.o \
-	diffusion_s.o \
-	diffusion_u.o \
-	diffusion_v.o \
-	diffusion_w.o \
-	large_scale_forcing_nudging_mod.o \
-	mod_kinds.o \
-	mod_kinds.o \
-	module_interface.o \
-	modules.o \
-	ocean_mod.o \
-	plant_canopy_model_mod.o \
-	radiation_model_mod.o \
-	subsidence_mod.o \
-	surface_mod.o \
-	surface_mod.o \
-	wind_turbine_model_mod.o
-progress_bar_mod.o: \
-	mod_kinds.o \
-	modules.o
-radiation_model_mod.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	calc_mean_profile.o \
-	exchange_horiz_mod.o \
-	mod_particle_attributes.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	palm_date_time_mod.o \
-	plant_canopy_model_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-random_function_mod.o: \
-	mod_kinds.o
-random_gauss.o: \
-	mod_kinds.o \
-	random_function_mod.o \
-	random_generator_parallel_mod.o
-random_generator_parallel_mod.o: \
-	mod_kinds.o \
-	modules.o \
-	posix_interface_mod.o
-read_restart_data_mod.o: \
-	bulk_cloud_model_mod.o \
-	chem_modules.o \
-	cpulog_mod.o \
-	gust_mod.o \
-	indoor_model_mod.o \
-	mod_kinds.o \
-	model_1d_mod.o \
-	module_interface.o \
-	modules.o \
-	mod_particle_attributes.o \
-	netcdf_interface_mod.o \
-	palm_date_time_mod.o \
-	radiation_model_mod.o \
-	random_function_mod.o\
-	random_generator_parallel_mod.o \
-	restart_data_mpi_io_mod.o \
-	spectra_mod.o \
-	surface_mod.o \
-	user_module.o \
-	virtual_measurement_mod.o
-restart_data_mpi_io_mod.o: \
-	exchange_horiz_mod.o \
-	modules.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	posix_interface_mod.o \
-	shared_memory_io_mod.o
-run_control.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-salsa_mod.o: \
-	modules.o \
-	mod_kinds.o \
-	advec_ws.o \
-	advec_s_pw.o \
-	advec_s_up.o \
-	basic_constants_and_equations_mod.o \
-	chem_gasphase_mod.o \
-	chem_modules.o \
-	diffusion_s.o \
-	exchange_horiz_mod.o \
-	netcdf_data_input_mod.o \
-	palm_date_time_mod.o \
-	plant_canopy_model_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o \
-	netcdf_data_input_mod.o
-singleton_mod.o: \
-	mod_kinds.o
-shared_memory_io_mod.o: \
-	modules.o
-sor.o: \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o
-spectra_mod.o: \
-	cpulog_mod.o \
-	fft_xy_mod.o \
-	mod_kinds.o \
-	modules.o
-subsidence_mod.o: \
-	mod_kinds.o \
-	modules.o
-sum_up_3d_data.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	module_interface.o \
-	modules.o \
-	surface_mod.o \
-	urban_surface_mod.o
-surface_coupler.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-surface_layer_fluxes_mod.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	chem_gasphase_mod.o \
-	chem_modules.o \
-	exchange_horiz_mod.o \
-	land_surface_model_mod.o \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o \
-	urban_surface_mod.o
-surface_mod.o: \
-	chem_gasphase_mod.o \
-	chem_modules.o \
-	model_1d_mod.o \
-	mod_kinds.o \
-	modules.o \
-	restart_data_mpi_io_mod.o
-surface_data_output_mod.o: \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	netcdf_interface_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-synthetic_turbulence_generator_mod.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	modules.o \
-	nesting_offl_mod.o \
-	pmc_interface_mod.o \
-	random_generator_parallel_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-temperton_fft_mod.o: \
-	mod_kinds.o \
-	modules.o
-time_integration.o: \
-	advec_ws.o \
-	biometeorology_mod.o \
-	bulk_cloud_model_mod.o \
-	buoyancy.o \
-	calc_mean_profile.o \
-	chem_emissions_mod.o \
-	chem_gasphase_mod.o \
-	chem_modules.o \
-	cpulog_mod.o \
-	data_output_flight.o \
-	diagnostic_output_quantities_mod.o \
-	disturb_heatflux.o \
-	exchange_horiz_mod.o \
-	indoor_model_mod.o \
-	lagrangian_particle_model_mod.o \
-	land_surface_model_mod.o \
-	large_scale_forcing_nudging_mod.o \
-	mod_kinds.o \
-	modules.o \
-	multi_agent_system_mod.o \
-	nesting_offl_mod.o \
-	ocean_mod.o \
-	palm_date_time_mod.o \
-	pmc_interface_mod.o \
-	prognostic_equations.o \
-	progress_bar_mod.o \
-	radiation_model_mod.o \
-	salsa_mod.o \
-	spectra_mod.o \
-	surface_layer_fluxes_mod.o \
-	surface_mod.o \
-	surface_data_output_mod.o \
-	synthetic_turbulence_generator_mod.o \
-	time_to_string.o \
-	turbulence_closure_mod.o\
-	urban_surface_mod.o \
-	virtual_flight_mod.o \
-	virtual_measurement_mod.o \
-	wind_turbine_model_mod.o
-time_integration_spinup.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	diagnostic_output_quantities_mod.o \
-	exchange_horiz_mod.o \
-	land_surface_model_mod.o \
-	indoor_model_mod.o \
-	mod_kinds.o \
-	modules.o \
-	palm_date_time_mod.o \
-	pmc_interface_mod.o \
-	radiation_model_mod.o \
-	surface_data_output_mod.o \
-	surface_layer_fluxes_mod.o \
-	time_to_string.o \
-	urban_surface_mod.o
-time_to_string.o: \
-	mod_kinds.o
-timestep.o: \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o
-timestep_scheme_steering.o: \
-	mod_kinds.o \
-	modules.o
-transpose.o: \
-	cpulog_mod.o \
-	fft_xy_mod.o \
-	mod_kinds.o \
-	modules.o
-tridia_solver_mod.o: \
-	basic_constants_and_equations_mod.o \
-	mod_kinds.o \
-	modules.o
-turbulence_closure_mod.o: \
-	advec_s_bc.o \
-	advec_s_pw.o \
-	advec_s_up.o \
-	advec_ws.o \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	exchange_horiz_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	ocean_mod.o \
-	plant_canopy_model_mod.o \
-	pmc_interface_mod.o \
-	surface_layer_fluxes_mod.o \
-	surface_mod.o
-urban_surface_mod.o: \
-	basic_constants_and_equations_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	palm_date_time_mod.o \
-	radiation_model_mod.o \
-	restart_data_mpi_io_mod.o \
-	surface_mod.o
-user_data_output_mask.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
-user_flight.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
-user_init_3d_model.o: \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o \
-	user_module.o
-user_init_flight_mod.o: \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	user_module.o
-user_init_grid.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
-user_init_land_surface.o: \
-	land_surface_model_mod.o \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-user_init_plant_canopy.o: \
-	mod_kinds.o \
-	modules.o \
-	plant_canopy_model_mod.o \
-	user_module.o
-user_init_radiation.o: \
-	mod_kinds.o \
-	modules.o \
-	radiation_model_mod.o \
-	user_module.o
-user_init_urban_surface.o: \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o \
-	urban_surface_mod.o \
-	user_module.o
-user_lpm_advec.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
-user_lpm_init.o: \
-	mod_kinds.o \
-	modules.o \
-	user_module.o
-user_module.o: \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
-user_spectra.o: \
-	mod_kinds.o \
-	modules.o \
-	spectra_mod.o \
-	user_module.o
-vdi_internal_controls.o: \
-	mod_kinds.o \
-	modules.o \
-	pmc_interface_mod.o
-virtual_flight_mod.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	restart_data_mpi_io_mod.o \
-	user_flight.o \
-	user_init_flight_mod.o
-virtual_measurement_mod.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	chem_modules.o \
-	chem_gasphase_mod.o \
-	data_output_module.o \
-	land_surface_model_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	radiation_model_mod.o \
-	surface_mod.o \
-	urban_surface_mod.o
-wind_turbine_model_mod.o: \
-	basic_constants_and_equations_mod.o \
-	cpulog_mod.o \
-	data_output_module.o \
-	exchange_horiz_mod.o \
-	netcdf_data_input_mod.o \
-	mod_kinds.o \
-	modules.o \
-	restart_data_mpi_io_mod.o
-wrd_write_string.o: \
-	mod_kinds.o
-write_restart_data_mod.o: \
-	bulk_cloud_model_mod.o \
-	gust_mod.o \
-	indoor_model_mod.o \
-	mod_kinds.o \
-	model_1d_mod.o \
-	module_interface.o \
-	modules.o \
-	mod_particle_attributes.o \
-	netcdf_interface_mod.o \
-	palm_date_time_mod.o \
-	radiation_model_mod.o \
-	random_function_mod.o \
-	random_generator_parallel_mod.o \
-	restart_data_mpi_io_mod.o \
-	spectra_mod.o \
-	surface_mod.o \
-	user_module.o \
-	virtual_measurement_mod.o
+
+advec_particles.o: modules.o random_function.o
+advec_s_bc.o: modules.o
+advec_s_pw.o: modules.o
+advec_s_up.o: modules.o
+advec_s_ups.o: modules.o
+advec_u_pw.o: modules.o
+advec_u_up.o: modules.o
+advec_u_ups.o: modules.o
+advec_v_pw.o: modules.o
+advec_v_up.o: modules.o
+advec_v_ups.o: modules.o
+advec_w_pw.o: modules.o
+advec_w_up.o: modules.o
+advec_w_ups.o: modules.o
+asselin_filter.o: modules.o
+average_3d_data.o: modules.o
+boundary_conds.o: modules.o
+buoyancy.o: modules.o
+calc_liquid_water_content.o: modules.o
+calc_precipitation.o: modules.o
+calc_radiation.o: modules.o
+calc_spectra.o: modules.o fft_xy.o
+check_for_restart.o: modules.o
+check_open.o: modules.o
+check_parameters.o: modules.o
+close_file.o: modules.o
+compute_vpt.o: modules.o
+coriolis.o: modules.o
+cpu_log.o: modules.o
+cpu_statistics.o: modules.o
+data_log.o: modules.o
+data_output_dvrp.o: modules.o
+data_output_profiles.o: modules.o
+data_output_ptseries.o: modules.o
+data_output_spectra.o: modules.o
+data_output_tseries.o: modules.o
+data_output_2d.o: modules.o
+data_output_3d.o: modules.o
+diffusion_e.o: modules.o
+diffusion_s.o: modules.o
+diffusion_u.o: modules.o
+diffusion_v.o: modules.o
+diffusion_w.o: modules.o
+diffusivities.o: modules.o
+disturb_field.o: modules.o random_function.o
+disturb_heatflux.o: modules.o
+exchange_horiz.o: modules.o
+exchange_horiz_2d.o: modules.o
+fft_xy.o: modules.o singleton.o temperton_fft.o
+flow_statistics.o: modules.o
+global_min_max.o: modules.o
+header.o: modules.o
+impact_of_latent_heat.o: modules.o
+init_1d_model.o: modules.o
+init_3d_model.o: modules.o random_function.o
+init_advec.o: modules.o
+init_cloud_physics.o: modules.o
+init_dvrp.o: modules.o
+init_grid.o: modules.o
+init_particles.o: modules.o random_function.o
+init_pegrid.o: modules.o fft_xy.o poisfft.o poisfft_hybrid.o
+init_pt_anomaly.o: modules.o
+init_rankine.o: modules.o
+init_slope.o: modules.o
+interaction_droplets_ptq.o: modules.o
+local_getenv.o: modules.o
+local_stop.o: modules.o
+local_tremain.o: modules.o
+local_tremain_ini.o: modules.o
+modules.o: modules.f90
+netcdf.o: modules.o
+package_parin.o: modules.o
+palm.o: modules.o
+parin.o: modules.o
+poisfft.o: modules.o fft_xy.o
+poisfft_hybrid.o: modules.o fft_xy.o
+poismg.o: modules.o
+prandtl_fluxes.o: modules.o
+pres.o: modules.o poisfft.o poisfft_hybrid.o
+print_1d.o: modules.o
+production_e.o: modules.o
+prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_u_pw.o \
+	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o  \
+	buoyancy.o calc_precipitation.o calc_radiation.o coriolis.o \
+	diffusion_e.o diffusion_s.o diffusion_u.o diffusion_v.o diffusion_w.o \
+	impact_of_latent_heat.o production_e.o user_interface.o
+random_gauss.o: random_function.o
+read_3d_binary.o: modules.o random_function.o
+read_var_list.o: modules.o
+run_control.o: modules.o
+singleton.o: singleton.f90
+sor.o: modules.o
+spline_x.o: modules.o
+spline_y.o: modules.o
+spline_z.o: modules.o
+sum_up_3d_data.o: modules.o
+swap_timelevel.o: modules.o
+temperton_fft.o: modules.o
+time_integration.o: modules.o prognostic_equations.o user_interface.o \
+	interaction_droplets_ptq.o
+timestep.o: modules.o
+timestep_scheme_steering.o: modules.o
+transpose.o: modules.o
+user_interface.o: modules.o user_interface.f90
+write_3d_binary.o: modules.o random_function.o
+write_compressed.o: modules.o
+write_var_list.o: modules.o
+
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 4901)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1)
@@ -1,46 +1,56 @@
-!> @file advec_s_bc.f90
-!--------------------------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
-! Public License as published by the Free Software Foundation, either version 3 of the License, or
-! (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
-! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-! Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with PALM. If not, see
-! <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021 Leibniz Universitaet Hannover
-! -------------------------------------------------------------------------------------------------!
-!
-! Current revisions:
+ SUBROUTINE advec_s_bc( sk, sk_char )
+
+!-------------------------------------------------------------------------------!
+! Actual revisions:
 ! -----------------
-!
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id$
-! Implement snow and graupel (bulk microphysics)
-! 
-! 4502 2020-04-17 16:14:16Z schwenkel
-! Implementation of ice microphysics
-! 
-! 4488 2020-04-03 11:34:29Z raasch
-! file re-formatted to follow the PALM coding standard
-!
-! 4429 2020-02-27 15:24:30Z raasch
-! bugfix: cpp-directives added for serial mode
-!
-! 4360 2020-01-07 11:25:50Z suehring
-! Corrected "Former revisions" section
-!
-! 3761 2019-02-25 15:31:42Z raasch
-! unused variables removed
-!
-! 3655 2019-01-07 16:51:22Z knoop
-! nopointer option removed
+! $Log: advec_s_bc.f90,v $
+! Revision 1.22  2006/02/23 09:42:08  raasch
+! anz renamed ngp
+!
+! Revision 1.21  2003/03/16 09:22:13  raasch
+! Two underscores (_) are placed in front of all define-strings
+!
+! Revision 1.20  2002/12/19 13:41:50  raasch
+! STOP statement replaced by call of subroutine local_stop
+!
+! Revision 1.19  2001/03/29 17:29:52  raasch
+! Result is stored as tendency on tend, sk_p is now a local array, rho is
+! replaced by d
+! Translation of remaining German identifiers (variables, subroutines, etc.)
+!
+! Revision 1.18  2001/01/22 04:25:52  raasch
+! Module test_variables removed
+!
+! Revision 1.17  2000/07/03 12:54:35  raasch
+! Arguments rho, sk and sk_p now declared as pointers
+!
+! Revision 1.16  2000/04/27 07:03:07  raasch
+! Treatment at cyclic boundaries is simplified by adding one additional
+! ghost layer to tend at each cyclic boundary. Result is that most of
+! mpi_sendrecv-calls (for polynom-coefficients, switches and fluxes) are no
+! more necessary so that much cpu-time is spared.
+! Adjustment of cyclic boundaries in x-direction in case of a sloping surface
+! (temperature only).
+! Vertical boundary conditions for humidity added.
+!
+! Revision 1.15  2000/01/20 09:07:01  letzel
+! All comments translated into English
+!
+! Revision 1.14  1999/02/17 09:01:38  raasch
+! Verfahren erweitert fuer TKE-Advektion
+! Dichteberechnung (Korrekturverfahren) korrigiert (Galilei-Abzug war falsch)
+!
+! Revision 1.10  1998/04/21 15:51:34  raasch
+! Galilei-Transformation eingebaut
+!
+! Revision 1.4  1997/09/08 10:42:35  raasch
+! Optimierungen im Exponentialteil, MIN/MAX-Bildung aus progn. Gleichung
+! entfernt, sw und m1 auf t3e einfach genau definiert, ffmax aus progn.
+! Gleichung entfernt (Skalarfeld wird glatter im gradientschwachen Bereich)
+! Geschwindigkeitsgewinn: ca 32%
 !
 ! Revision 1.1  1997/08/29 08:53:46  raasch
